#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_fbdev_shmem_setup, "", "");

SYMBOL_CRC(drm_gem_shmem_create, 0xbddac2cc, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x78bb8c30, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x1cd65d6c, "");
SYMBOL_CRC(drm_gem_shmem_pin_locked, 0x04ba8df9, "");
SYMBOL_CRC(drm_gem_shmem_unpin_locked, 0xa22fc67e, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0xd4f7aab4, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x745c1d32, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x311d6351, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0xb232174c, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x5f2d23d6, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0x0379a6b3, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x6241f98b, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x1df95611, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x51b49e09, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0x101755e4, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0x8d3c2fcd, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0xcc4f6de1, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0xf3c5e89e, "_gpl");
SYMBOL_CRC(drm_fbdev_shmem_setup, 0xb0605eb7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42504916, "drm_client_register" },
	{ 0x531ace4b, "try_module_get" },
	{ 0x38d64851, "drm_fb_helper_init" },
	{ 0x9d34c013, "drm_fb_helper_debug_enter" },
	{ 0x90d08224, "ww_mutex_lock_interruptible" },
	{ 0xfc0f27a6, "vmf_insert_pfn" },
	{ 0xe5c4b565, "vmemmap" },
	{ 0x4f2a0c79, "drm_gem_get_pages" },
	{ 0xfa14d1b3, "dma_buf_vmap" },
	{ 0x14a97e9b, "drm_client_buffer_vmap" },
	{ 0x69063714, "drm_fb_helper_lastclose" },
	{ 0x16f073d3, "drm_fb_helper_setcmap" },
	{ 0x7b106b11, "drm_fb_helper_alloc_info" },
	{ 0x759a5b00, "drm_helper_disable_unused_functions" },
	{ 0x80530c0, "drm_fb_helper_unprepare" },
	{ 0x43a4938f, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x7770ccdf, "drm_fb_helper_fini" },
	{ 0xddf0ce3e, "drm_client_framebuffer_delete" },
	{ 0x1a43beec, "drm_client_framebuffer_create" },
	{ 0xa4e59693, "invalidate_mapping_pages" },
	{ 0xc7fc3646, "ww_mutex_unlock" },
	{ 0xa8850553, "drm_fb_helper_deferred_io" },
	{ 0xb0489d22, "drm_fb_helper_release_info" },
	{ 0x4abf4be2, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0xdac93644, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x1a814305, "drm_driver_legacy_fb_format" },
	{ 0x76f60f8f, "drm_fb_helper_fill_info" },
	{ 0xdc05dc5e, "drm_gem_create_mmap_offset" },
	{ 0x89b285f4, "fb_deferred_io_init" },
	{ 0x2e182a71, "fb_deferred_io_cleanup" },
	{ 0x999ef464, "drm_gem_object_init" },
	{ 0xf5dc38db, "dev_driver_string" },
	{ 0x8155c5d3, "drm_fb_helper_hotplug_event" },
	{ 0xf53073ed, "fb_sys_write" },
	{ 0x564d78ec, "sys_imageblit" },
	{ 0x303743e8, "drm_fb_helper_damage_range" },
	{ 0x9c295b54, "drm_fb_helper_blank" },
	{ 0x9a990060, "drm_gem_private_object_init" },
	{ 0x4313e28b, "drm_fb_helper_check_var" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xd48f0f66, "drm_fb_helper_damage_area" },
	{ 0x4af2b15d, "sys_fillrect" },
	{ 0xc23d1839, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xecd522d2, "drm_client_init" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x1ac9d872, "drm_gem_vm_close" },
	{ 0x3bc6972b, "drm_gem_vm_open" },
	{ 0x15cb41a7, "drm_fb_helper_prepare" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x1fc7f65e, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x77b4b20, "drm_gem_object_release" },
	{ 0xb758815b, "ww_mutex_lock" },
	{ 0x14932b4, "vmap" },
	{ 0x6a80b70, "drm_gem_handle_create" },
	{ 0x256c18d3, "drm_gem_fb_get_obj" },
	{ 0x6173d40c, "__drm_dev_dbg" },
	{ 0xf5d11cf, "drm_prime_pages_to_sg" },
	{ 0xd817693, "fb_deferred_io_mmap" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0xb5be42bd, "drm_fb_helper_pan_display" },
	{ 0x422129d4, "dma_buf_vunmap" },
	{ 0x38ebd4c1, "drm_client_release" },
	{ 0xac7e6eb1, "sys_copyarea" },
	{ 0xb76ced08, "shmem_truncate_range" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x29378d5b, "dma_map_sgtable" },
	{ 0xf4d480c2, "drm_gem_free_mmap_offset" },
	{ 0x20c26872, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3279f768, "drm_client_buffer_vunmap" },
	{ 0x94751fe9, "fb_sys_read" },
	{ 0xafde2a03, "drm_fb_helper_debug_leave" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x409fa7b7, "dma_unmap_sg_attrs" },
	{ 0x8ea694b, "drm_fb_helper_initial_config" },
	{ 0xd916d4dd, "drm_fb_helper_unregister_info" },
	{ 0xa2bec282, "drm_gem_put_pages" },
	{ 0x24902830, "drm_gem_private_object_fini" },
	{ 0xbc74c3e0, "kmalloc_caches" },
	{ 0x87f06f4b, "drm_fb_helper_ioctl" },
	{ 0x94b98d7f, "drm_fb_helper_set_par" },
	{ 0x5e917795, "drm_prime_gem_destroy" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,fb,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "5CBE2D0A70DC150E0CC6E9B");
MODULE_INFO(rhelversion, "10.1");
