#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x5226ef5b, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x5976393b, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x7eb3dfe7, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x974475f6, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0xfc54ce97, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xfe95b55d, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0xcddd5b8e, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x776303c3, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x34573381, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x491aea58, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0xcc6b8751, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0xecae0fd4, "_gpl");
SYMBOL_CRC(nvme_init_request, 0xa2fa820a, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x2c5e8491, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0xc0a34ec6, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0xdb73873e, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x2197c641, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x46ad00e2, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0xb83178eb, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0xe52ed251, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x7086bfcf, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x1ea728c4, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x3a23ed42, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x8184d6c8, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x2ac3e851, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x113fa5e8, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0xc9369aa0, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x681b808f, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0xed9a485f, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x80db9e02, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x1201facb, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0xe8cfbe94, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x0f02cb3d, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0xa30e99e5, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0xf72350c8, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x48fc8558, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x239be755, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0xdd140d02, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x0561e251, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x0d88806c, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x316f2ef9, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0x7778a0a8, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0xe5cd25e4, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x4f13a739, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x30c0f871, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xd74dd406, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0xbde76d48, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0xe9a3bc8f, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x6cbc2551, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x2e40b1f2, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xb828f79c, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x6d47e701, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x0591245d, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x56780102, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0xf8ae341e, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x27fcbedb, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x045c5b33, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x23a9c330, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0xa6009bc7, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x16b28cc3, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0xd82798a4, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x25158f35, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0xb38a0156, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xefb1ebbe, "set_capacity_and_notify" },
	{ 0x6d3102d5, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x2cb7770d, "set_disk_ro" },
	{ 0xfaa53e0e, "__blk_alloc_disk" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x531ace4b, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xe5c4b565, "vmemmap" },
	{ 0x455ba82e, "blk_rq_integrity_map_user" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x6ef4fe11, "device_remove_file_self" },
	{ 0x9e7502c1, "param_ops_uint" },
	{ 0xdb445f10, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xc51df128, "dev_set_name" },
	{ 0x9b8c710e, "bio_split_to_limits" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x5529d6fb, "trace_seq_printf" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x2f5ed4e0, "device_add_disk" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x790ba525, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x337ac20a, "blk_mq_tagset_wait_completed_request" },
	{ 0xaee9b7dd, "cdev_device_del" },
	{ 0x876714ed, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x6a5155aa, "queue_limits_stack_bdev" },
	{ 0xeef757c3, "trace_event_printf" },
	{ 0xbe560380, "nvme_auth_transform_key" },
	{ 0xea3e5ec0, "device_initialize" },
	{ 0x6241c4c9, "blk_mq_unquiesce_queue" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x4041e7af, "blk_mq_quiesce_queue" },
	{ 0xfb5f783, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x1fc0050, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xa11a958b, "__traceiter_block_bio_remap" },
	{ 0xc7d36aab, "__traceiter_block_bio_complete" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xabf189ef, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x7e1ea38e, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x8ee234ec, "synchronize_srcu" },
	{ 0x5ec41b7a, "param_ops_byte" },
	{ 0x5fd879d3, "get_device" },
	{ 0x2a58e414, "blk_mq_end_request" },
	{ 0x7b60a069, "__blk_mq_alloc_disk" },
	{ 0xd1450de1, "__dynamic_dev_dbg" },
	{ 0x6f79375c, "mempool_free" },
	{ 0x49672828, "node_states" },
	{ 0xddce4370, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4cd81c1, "blk_mq_alloc_tag_set" },
	{ 0x72410c44, "blk_rq_is_poll" },
	{ 0x79388ce0, "trace_event_buffer_commit" },
	{ 0xafff8e25, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xeab5b11c, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0xab04e567, "put_disk" },
	{ 0xc9a1e49, "crypto_alloc_kpp" },
	{ 0x160da0db, "cdev_device_add" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x5f81d00c, "nvme_auth_free_key" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4218810f, "blk_execute_rq" },
	{ 0xd9104b97, "put_device" },
	{ 0xeaabddeb, "blk_mq_unquiesce_tagset" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x442a2474, "blk_mq_free_request" },
	{ 0xb3a529b2, "__free_pages" },
	{ 0x4082195e, "_dev_info" },
	{ 0x35371007, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc23d1839, "module_put" },
	{ 0x35673b40, "sysfs_create_link" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xd0953106, "nvme_auth_gen_pubkey" },
	{ 0x3685ad0b, "compat_ptr_ioctl" },
	{ 0x91675ffa, "blk_rq_poll" },
	{ 0x7b6b42b8, "blk_mq_quiesce_tagset" },
	{ 0x766beed8, "mempool_alloc_noprof" },
	{ 0x6b03e154, "kobject_uevent_env" },
	{ 0xc20cc29b, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x79fe7a0, "init_srcu_struct" },
	{ 0x2e2ea68a, "perf_trace_run_bpf_submit" },
	{ 0x1fc7f65e, "_dev_err" },
	{ 0xff38ef86, "blk_revalidate_disk_zones" },
	{ 0x6b2110dd, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9a6a5e78, "device_add" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0xe1056df1, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x4d0f9d80, "sysfs_remove_link" },
	{ 0xc0515062, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb1cdea85, "__srcu_read_lock" },
	{ 0x13a2aa4f, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x181ee7fe, "submit_bio_noacct" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x1428ac8a, "blk_sync_queue" },
	{ 0xc96f907d, "bdev_start_io_acct" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x7586e043, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xb5ffc6cf, "blk_mq_alloc_request_hctx" },
	{ 0x1454c6d5, "__io_uring_cmd_do_in_task" },
	{ 0xf2aac1c9, "blk_mq_alloc_request" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xec05a7b0, "crypto_shash_update" },
	{ 0xcafbaff4, "class_unregister" },
	{ 0x8d2d42bb, "blk_mq_free_tag_set" },
	{ 0x51318dd4, "del_gendisk" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x610399cd, "cleanup_srcu_struct" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3898cd06, "nvme_auth_augmented_challenge" },
	{ 0x60b66a68, "blk_set_stacking_limits" },
	{ 0x466dfa66, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x2b439fba, "blk_put_queue" },
	{ 0xe01c5454, "bpf_trace_run1" },
	{ 0xcce43d7a, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xbc0d2919, "_dev_warn" },
	{ 0xf2920466, "__kmalloc_cache_node_noprof" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x8789c322, "blk_mq_wait_quiesce_done" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7ea81383, "__kmem_cache_create_args" },
	{ 0xcc819751, "io_uring_cmd_done" },
	{ 0x29b259d6, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x54190ce, "bdev_disk_changed" },
	{ 0x9d509dca, "init_opal_dev" },
	{ 0xe798236d, "jiffies" },
	{ 0x489a0a5, "nvme_auth_generate_key" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xda7daafd, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4d32d142, "blk_mq_complete_request" },
	{ 0x5f4cfcac, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7ce37d68, "trace_event_buffer_reserve" },
	{ 0x689b875d, "crypto_shash_final" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xefe4fe55, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xea07e4e1, "param_ops_bool" },
	{ 0x6c46b139, "blk_mq_destroy_queue" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x6b945ecb, "blk_freeze_queue_start" },
	{ 0x42ae6d99, "xa_find" },
	{ 0x149bfd7, "disk_live" },
	{ 0xc62ab2bc, "mempool_destroy" },
	{ 0x20c26872, "__kmalloc_cache_noprof" },
	{ 0xd20c5cec, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2ccb56cb, "__tracepoint_block_bio_complete" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x626886bd, "__srcu_read_unlock" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0x5d79231a, "blk_mq_unfreeze_queue" },
	{ 0x4452e9b9, "alloc_pages_noprof" },
	{ 0x62d5fcbe, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xe71805a, "queue_limits_commit_update" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xa06bc908, "blkdev_compat_ptr_ioctl" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x231f5e76, "blk_rq_map_user_iov" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0xd8206cae, "blk_mark_disk_dead" },
	{ 0x4acfc674, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x958cfd95, "crypto_alloc_shash" },
	{ 0x439b7037, "blk_mq_freeze_queue_wait" },
	{ 0x3e6aa7b5, "nvme_auth_gen_privkey" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x87e85417, "blk_mq_requeue_request" },
	{ 0x4b8b603d, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xa4015ea6, "cdev_init" },
	{ 0xf51e8f9f, "bdev_end_io_acct" },
	{ 0xbc74c3e0, "kmalloc_caches" },
	{ 0x33a73069, "blk_steal_bios" },
	{ 0xa12dc98a, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "C831152CB31BABE2349AC62");
MODULE_INFO(rhelversion, "10.1");
