#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfsd_open_local_fh, "_gpl", "");

SYMBOL_CRC(nfsd_open_local_fh, 0xbfd32cfa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2b23211f, "svc_find_listener" },
	{ 0xef464c28, "getboottime64" },
	{ 0x7f06e8fe, "svc_generic_rpcbind_set" },
	{ 0xd39e23e1, "svc_wake_up" },
	{ 0x9cbde0a0, "nlmsvc_unlock_all_by_ip" },
	{ 0xefc0807e, "seq_path" },
	{ 0x3ad72f7, "trace_print_array_seq" },
	{ 0x81a2cce3, "vfs_fsync_range" },
	{ 0x9d15a18d, "shrinker_alloc" },
	{ 0x531ace4b, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7cabe3ea, "vfs_listxattr" },
	{ 0xd027c5db, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xe5c4b565, "vmemmap" },
	{ 0x31cdbf9a, "opens_in_grace" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf2535b1e, "notify_change" },
	{ 0x4243a3ba, "bpf_trace_run4" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x3761d215, "idr_find" },
	{ 0x69902229, "simple_dir_inode_operations" },
	{ 0x92e1581e, "vfs_getattr" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0xaa65e015, "xdr_write_pages" },
	{ 0xc7cf1207, "rpc_shutdown_client" },
	{ 0x3ba3890a, "vfs_rename" },
	{ 0x15b40310, "svc_bind" },
	{ 0xbaf6850c, "fsnotify_wait_marks_destroyed" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x12cabc89, "siphash_2u64" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x37515947, "proc_create" },
	{ 0x8bec40ab, "lookup_one_len" },
	{ 0x42c4578a, "auth_domain_find" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x4d8f9932, "__break_lease" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x138eccde, "new_inode" },
	{ 0x60da7edc, "svc_recv" },
	{ 0x4b4b58ad, "crypto_shash_tfm_digest" },
	{ 0x125b4bb4, "seq_release" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0x58315fde, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa58f239e, "cache_create_net" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x790ba525, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xb51a3724, "rpc_pipefs_notifier_unregister" },
	{ 0x263a9861, "nlmsvc_unlock_all_by_sb" },
	{ 0x7bd3f979, "unregister_filesystem" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0x7b524c91, "locks_owner_has_blockers" },
	{ 0x68a0c9c1, "list_lru_destroy" },
	{ 0x24d29f8f, "iterate_dir" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfafde427, "read_bytes_from_xdr_buf" },
	{ 0x876714ed, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x20cf1298, "d_alloc_name" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x516a7357, "lockd_down" },
	{ 0x7576aa8f, "get_tree_keyed" },
	{ 0xeef757c3, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xe208ffdc, "lockd_up" },
	{ 0x1d4d9a56, "abort_creds" },
	{ 0x5457c872, "simple_fill_super" },
	{ 0x8a884b7a, "security_file_post_open" },
	{ 0x761d6906, "svc_reserve" },
	{ 0x2533d562, "sunrpc_cache_lookup_rcu" },
	{ 0x1c50f301, "fsnotify" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0xe8c40725, "kthread_func" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x1fed9361, "cache_seq_next_rcu" },
	{ 0x8d95799a, "current_time" },
	{ 0xf362e273, "genlmsg_put" },
	{ 0x61434b7d, "fsnotify_put_mark" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xfb5f783, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x79539236, "kthread_exit" },
	{ 0x59d9f0b8, "ihold" },
	{ 0x66c94a09, "follow_up" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x52aba96a, "simple_transaction_get" },
	{ 0x998b0ac0, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xc430de94, "svc_max_payload" },
	{ 0x5d4258a3, "vfs_test_lock" },
	{ 0x40cb46, "svc_exit_thread" },
	{ 0x5ae27e58, "iput" },
	{ 0xb0ea02ee, "seq_lseek" },
	{ 0xe714f5b, "follow_down" },
	{ 0xb32a4962, "rpc_pton" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0x227ebb64, "rpc_wake_up_queued_task" },
	{ 0x62aa0b9, "rpc_ntop" },
	{ 0xabf189ef, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x1165937e, "rpc_restart_call_prepare" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf681a5c5, "security_inode_setsecctx" },
	{ 0xabf28a78, "__xdr_commit_encode" },
	{ 0x2a8ec5b7, "kthread_data" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0x8944e50c, "register_filesystem" },
	{ 0xc6f6d4c9, "list_lru_count_node" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xfcf65a5f, "vfs_unlink" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xbb25fe4e, "sync_inode_metadata" },
	{ 0x435a33e1, "simple_transaction_set" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x2330ceef, "trace_print_hex_seq" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x5818fe3c, "posix_acl_from_mode" },
	{ 0x49672828, "node_states" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x1b390baa, "path_put" },
	{ 0x84500a02, "rpc_sleep_on" },
	{ 0x141d3f4e, "svc_encode_result_payload" },
	{ 0xf6e8c8e1, "vfs_copy_file_range" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x4caf460e, "rpc_put_sb_net" },
	{ 0xa1cd4b87, "__put_cred" },
	{ 0x4c5751f1, "register_pernet_subsys" },
	{ 0x1bab5d71, "locks_in_grace" },
	{ 0x4b92128, "wake_up_process" },
	{ 0x57b80ddb, "vfs_mkdir" },
	{ 0x5fc3e910, "shrinker_free" },
	{ 0x1bf27a4b, "svc_proc_register" },
	{ 0x79388ce0, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x7d39fa10, "vfs_statfs" },
	{ 0xafff8e25, "crypto_destroy_tfm" },
	{ 0xb06775de, "simple_inode_init_ts" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x985453e1, "lease_unregister_notifier" },
	{ 0x211a43cb, "list_lru_walk_node" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xd0ecb0b6, "cache_purge" },
	{ 0x5b23d2df, "fsnotify_alloc_group" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xa8d42f34, "vfs_iter_read" },
	{ 0xfbceb78a, "vfs_fallocate" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x8521b5ce, "__fput_sync" },
	{ 0x54917d5f, "svcauth_map_clnt_to_svc_cred_local" },
	{ 0xe9cfdfdc, "nfs_to" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5bd47748, "make_kuid" },
	{ 0xfafec7a1, "locks_release_private" },
	{ 0x90b88fd7, "mnt_want_write" },
	{ 0x6b74b082, "simple_dir_operations" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x5b709875, "cache_seq_stop_rcu" },
	{ 0x97521545, "__alloc_skb" },
	{ 0xded1793d, "shrinker_register" },
	{ 0x50e2279b, "locks_init_lock" },
	{ 0xe5a56ecd, "idr_get_next" },
	{ 0xe41cd66d, "rpc_destroy_pipe_data" },
	{ 0xb87d6a38, "cache_seq_start_rcu" },
	{ 0xbf9d1b96, "nfsd_debug" },
	{ 0x387e1639, "rpc_pipefs_notifier_register" },
	{ 0x76c785e1, "get_inode_acl" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xb41ada8d, "init_task" },
	{ 0x51d2692, "xdr_init_encode_pages" },
	{ 0x88a07673, "rpc_pipe_generic_upcall" },
	{ 0xc23d1839, "module_put" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xf5f5c750, "simple_transaction_release" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xb1349abd, "svc_xprt_put" },
	{ 0xc686fff9, "__fsnotify_parent" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbb7db8f8, "security_inode_getsecctx" },
	{ 0x9b19e326, "cache_unregister_net" },
	{ 0x96ac278c, "nfs_uuid_invalidate_clients" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xedcf6be4, "qword_add" },
	{ 0x89e86943, "sunrpc_get_pool_mode" },
	{ 0x33d6afc8, "seq_escape_mem" },
	{ 0xae1b0917, "prepare_creds" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x537a29d3, "lease_modify" },
	{ 0x964c0941, "svc_age_temp_xprts_now" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4d55cfe4, "vfs_get_link" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x2e2ea68a, "perf_trace_run_bpf_submit" },
	{ 0x16950d11, "svc_rqst_replace_page" },
	{ 0x593d2a27, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x2748515f, "rpc_machine_cred" },
	{ 0x3267cbfa, "nfs_stream_encode_acl" },
	{ 0xd2510a63, "up_write" },
	{ 0x2e999017, "exportfs_encode_fh" },
	{ 0xb8fce6c5, "kernel_setlease" },
	{ 0xaaad10a2, "simple_symlink_inode_operations" },
	{ 0xa8c383ef, "svc_set_num_threads" },
	{ 0x87224366, "svc_rpcb_cleanup" },
	{ 0xf2d32eac, "unix_domain_find" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x4ec0b003, "__splice_from_pipe" },
	{ 0x5ee85cfd, "sk_skb_reason_drop" },
	{ 0xbab17f5, "rpc_peeraddr2str" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0x44ef92d6, "netlink_unicast" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0x447d4a69, "locks_init_lease" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x2197f296, "bpf_trace_run5" },
	{ 0x5ba84bad, "rpc_d_lookup_sb" },
	{ 0xe84b9512, "fsnotify_init_mark" },
	{ 0x954f099c, "idr_preload" },
	{ 0xd52775a9, "svc_create_pooled" },
	{ 0x485b1b47, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x9b7205d9, "xdr_reserve_space_vec" },
	{ 0xb12758d0, "lock_rename" },
	{ 0xe55a31d5, "kmem_cache_free" },
	{ 0x56bfc648, "__vfs_setxattr_locked" },
	{ 0xc9fb9822, "svc_fill_symlink_pathname" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x85abc85f, "strncmp" },
	{ 0xf7d532df, "xdr_stream_subsegment" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x79430f48, "seq_putc" },
	{ 0xff182e8, "nla_put" },
	{ 0x7586e043, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xe9ab7e12, "vfs_getxattr" },
	{ 0x5532e557, "iov_iter_kvec" },
	{ 0x1375320d, "rw_verify_area" },
	{ 0xcde2d73d, "locks_alloc_lease" },
	{ 0x459550c9, "list_lru_add_obj" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3dc70fd7, "fsnotify_destroy_mark" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0x710f861b, "simple_transaction_read" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x887094d2, "__audit_inode_child" },
	{ 0xce2bd647, "xdr_restrict_buflen" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xc3ade9e5, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xf332a941, "set_posix_acl" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x22871630, "rpc_create" },
	{ 0x4e89ce10, "idr_alloc_cyclic" },
	{ 0xbef16112, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x96babf2, "rpc_call_start" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb07abe2, "unshare_fs_struct" },
	{ 0xe01c5454, "bpf_trace_run1" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x80bc4c1c, "svcauth_unix_purge" },
	{ 0xf4913b8e, "default_llseek" },
	{ 0x9ecf116d, "kill_litter_super" },
	{ 0x4ff96caf, "locks_alloc_lock" },
	{ 0xa9e2e8e4, "proc_mkdir" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3f28b64b, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x76f11dfb, "rpc_queue_upcall" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0x23a570c7, "kern_path" },
	{ 0x8b32ce38, "vfs_lock_file" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x3d4dac89, "cache_check" },
	{ 0x6197afa6, "vfs_iter_write" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xca7e6f0f, "rpc_delay" },
	{ 0x43aa319e, "lease_register_notifier" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xb0b8484c, "__list_lru_init" },
	{ 0x585b2535, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0xfdfb9821, "nfs_uuid_is_local" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x162893fd, "hashlen_string" },
	{ 0x7b61890d, "xdr_buf_subsegment" },
	{ 0xbf733b9e, "svc_generic_init_request" },
	{ 0x6e4ffd6e, "svc_xprt_names" },
	{ 0xb33129ab, "rpc_get_sb_net" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0xca50f5cf, "make_kgid" },
	{ 0xeb782b31, "xattr_supports_user_prefix" },
	{ 0xa200bf6f, "splice_direct_to_actor" },
	{ 0xded4f446, "svc_xprt_create_from_sa" },
	{ 0x7ea81383, "__kmem_cache_create_args" },
	{ 0xc9e18a52, "gss_pseudoflavor_to_service" },
	{ 0xf51c780d, "fsnotify_put_group" },
	{ 0xa7cb4cbf, "dentry_create" },
	{ 0x1feb18fe, "nfs_stream_decode_acl" },
	{ 0x106abd, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x59321768, "unlock_rename" },
	{ 0x1afb7551, "vfs_rmdir" },
	{ 0x103bafd6, "down_read" },
	{ 0xe8eda4bb, "svc_set_client" },
	{ 0x23744127, "rpc_wake_up_next" },
	{ 0xf75f2388, "xdr_reserve_space" },
	{ 0xe798236d, "jiffies" },
	{ 0x6b0c45e, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x842f98e, "mnt_drop_write" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x325174af, "__vfs_removexattr_locked" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xda7daafd, "bpf_trace_run3" },
	{ 0xd113744f, "override_creds" },
	{ 0x31eece4d, "seq_read" },
	{ 0x28d1bdf7, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x8574bb03, "trace_print_flags_seq" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x19d6768f, "rpc_mkpipe_dentry" },
	{ 0xd3e4911a, "path_get" },
	{ 0xbea8b478, "rpc_mkpipe_data" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x5528feb0, "vfs_symlink" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7c24e239, "rhltable_init_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0xd6dc268c, "sunrpc_set_pool_mode" },
	{ 0x7ce37d68, "trace_event_buffer_reserve" },
	{ 0x99217d6c, "d_add" },
	{ 0xb26cda1c, "svc_seq_show" },
	{ 0xcf950f1b, "vfs_fsync" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x71fa908a, "cache_flush" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x47c20f8a, "refcount_dec_not_one" },
	{ 0xea07e4e1, "param_ops_bool" },
	{ 0x5f4a905c, "groups_free" },
	{ 0xe995eee3, "__percpu_counter_sum" },
	{ 0x79cfbfbb, "vfs_mknod" },
	{ 0x23925066, "cache_register_net" },
	{ 0x55bd9684, "fsnotify_find_mark" },
	{ 0xb6799a38, "lookup_positive_unlocked" },
	{ 0x5600c435, "init_user_ns" },
	{ 0xae0ca89f, "rpc_uaddr2sockaddr" },
	{ 0xbd78d149, "nlmsvc_ops" },
	{ 0xd44df988, "rpc_restart_call" },
	{ 0x4200bbcf, "dentry_open" },
	{ 0x355899f8, "filp_close" },
	{ 0x884beb63, "svc_xprt_destroy_all" },
	{ 0x47648efd, "inc_nlink" },
	{ 0x2ae957f8, "seq_write" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x146d596e, "remove_proc_entry" },
	{ 0x20c26872, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x81d39f5a, "list_lru_walk_one" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x86fd6220, "svc_find_xprt" },
	{ 0xd1550e21, "seq_printf" },
	{ 0x68d5590d, "svc_proc_unregister" },
	{ 0x511d7220, "dput" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x92a16af7, "lockref_get" },
	{ 0x74db064d, "rpc_init_wait_queue" },
	{ 0x5b71b9a0, "gss_mech_put" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x106a2f1d, "touch_atime" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xcc0e6ca7, "exportfs_decode_fh_raw" },
	{ 0x1ce1598c, "nfs_stat_to_errno" },
	{ 0x65dcf2b6, "vfs_clone_file_range" },
	{ 0x2d8df737, "svc_addsock" },
	{ 0xf713d1e6, "lookup_one_len_unlocked" },
	{ 0xd5c51676, "gss_mech_get" },
	{ 0xe50cbfaa, "svc_fill_write_vector" },
	{ 0x11dae214, "vfs_llseek" },
	{ 0x73daf137, "simple_recursive_removal" },
	{ 0xada615cf, "locks_free_lease" },
	{ 0xb5dc4020, "__put_user_ns" },
	{ 0x6743c6b7, "rpc_unlink" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x7560ff27, "sunrpc_cache_pipe_upcall" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0x7d602a8d, "single_release" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x2bf2f97f, "svc_print_addr" },
	{ 0xb1255de8, "vfs_link" },
	{ 0x10df7c7e, "svc_pool_stats_open" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0x47ae616d, "seq_open" },
	{ 0x6e032f7d, "dget_parent" },
	{ 0x12cbd951, "genl_unregister_family" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x27cac01e, "from_kuid_munged" },
	{ 0x697037dd, "prepare_kernel_cred" },
	{ 0xde30092, "write_bytes_to_xdr_buf" },
	{ 0xf494428e, "rpc_call_async" },
	{ 0x43d91aee, "list_lru_del_obj" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x469be626, "cache_destroy_net" },
	{ 0x5c37a472, "locks_delete_block" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x48343f63, "bpf_trace_run7" },
	{ 0xc937077d, "locks_start_grace" },
	{ 0xd88dbbf4, "refcount_dec_and_lock" },
	{ 0xafcb3b10, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbf49aafa, "percpu_counter_set" },
	{ 0x4f12229e, "setattr_should_drop_sgid" },
	{ 0xcd1440f9, "mntget" },
	{ 0x4b8e79f4, "single_open" },
	{ 0xd87dc7d7, "lease_get_mtime" },
	{ 0x42460377, "__mnt_is_readonly" },
	{ 0x958cfd95, "crypto_alloc_shash" },
	{ 0x4408cb45, "svc_xprt_close" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0x83f8ccfb, "genl_register_family" },
	{ 0x5ac4da5, "vcalloc_noprof" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xb4567003, "xdr_stream_pos" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0x91498bd6, "svc_xprt_create" },
	{ 0xba23fa2, "sunrpc_cache_update" },
	{ 0xdd4ad262, "svc_auth_flavor" },
	{ 0x817ce3ac, "xdr_truncate_encode" },
	{ 0xf9a482f9, "msleep" },
	{ 0x17d42eac, "locks_free_lock" },
	{ 0xc35c993c, "fsnotify_add_mark" },
	{ 0x1ea4683f, "set_groups" },
	{ 0x85d07771, "rpc_destroy_wait_queue" },
	{ 0xbc74c3e0, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0x38e2e8dd, "auth_domain_put" },
	{ 0xa12dc98a, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xceb79fda, "d_path" },
	{ 0xab49f450, "svcauth_gss_flavor" },
	{ 0x176b1a4, "vfs_create" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,lockd,grace,nfs_localio,nfs_acl,auth_rpcgss");


MODULE_INFO(srcversion, "CE6D973386504050AB8357A");
MODULE_INFO(rhelversion, "10.1");
