#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0xe2c6c964, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xd2c8b723, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xd5c51676, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0xc9e18a52, "");
SYMBOL_CRC(gss_mech_put, 0x5b71b9a0, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xab49f450, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xba696a76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeb498995, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x531ace4b, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe5c4b565, "vmemmap" },
	{ 0xb7204d3f, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x86661117, "xdr_buf_from_iov" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4243a3ba, "bpf_trace_run4" },
	{ 0x4651e2b2, "xdr_stream_decode_opaque_auth" },
	{ 0x9e7502c1, "param_ops_uint" },
	{ 0xaa65e015, "xdr_write_pages" },
	{ 0xc7cf1207, "rpc_shutdown_client" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x42c4578a, "auth_domain_find" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x58315fde, "xdr_inline_decode" },
	{ 0xa58f239e, "cache_create_net" },
	{ 0x3454f907, "rpcauth_destroy_credcache" },
	{ 0x790ba525, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xe8e642e8, "bpf_trace_run6" },
	{ 0xd7a8d383, "rpc_net_ns" },
	{ 0xfafde427, "read_bytes_from_xdr_buf" },
	{ 0x876714ed, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x64d74e24, "rpc_wake_up" },
	{ 0xeef757c3, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x2533d562, "sunrpc_cache_lookup_rcu" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xfb5f783, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x233f5316, "sprint_oid" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xa3214eea, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0xabf189ef, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xae074ec8, "xdr_truncate_decode" },
	{ 0xa817a74b, "rpcauth_unregister" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xabf28a78, "__xdr_commit_encode" },
	{ 0x7f1f3706, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x84500a02, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xa1cd4b87, "__put_cred" },
	{ 0x4c5751f1, "register_pernet_subsys" },
	{ 0x79388ce0, "trace_event_buffer_commit" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xd0ecb0b6, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x5bb50f5a, "rpc_release_client" },
	{ 0x5ad04d19, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe0471cf1, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xa850a2b2, "svc_auth_register" },
	{ 0x363980de, "xdr_stream_encode_opaque_auth" },
	{ 0x5bd47748, "make_kuid" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xe41cd66d, "rpc_destroy_pipe_data" },
	{ 0xb3a529b2, "__free_pages" },
	{ 0x88a07673, "rpc_pipe_generic_upcall" },
	{ 0xc23d1839, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x9b19e326, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xfb4bcebe, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x2e2ea68a, "perf_trace_run_bpf_submit" },
	{ 0x86a8231e, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x881d279f, "rpcauth_init_credcache" },
	{ 0x485b1b47, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x4810884c, "xdr_init_decode" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x7586e043, "trace_event_reg" },
	{ 0xfb93f492, "rpc_call_null" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xc4f99bca, "rpc_sleep_on_timeout" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x22871630, "rpc_create" },
	{ 0xe01c5454, "bpf_trace_run1" },
	{ 0x97ccd09d, "rpc_call_sync" },
	{ 0xee330f5c, "from_kuid" },
	{ 0x3f28b64b, "unregister_pernet_subsys" },
	{ 0x76f11dfb, "rpc_queue_upcall" },
	{ 0xc5da1c97, "xdr_encode_word" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x3d4dac89, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0xd990d564, "svcauth_unix_set_client" },
	{ 0x7b61890d, "xdr_buf_subsegment" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0xca50f5cf, "make_kgid" },
	{ 0x4cba1eb0, "rpc_remove_pipe_dir_object" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xf75f2388, "xdr_reserve_space" },
	{ 0xe798236d, "jiffies" },
	{ 0xe1a50457, "nonseekable_open" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xda7daafd, "bpf_trace_run3" },
	{ 0x28d1bdf7, "__put_net" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x19d6768f, "rpc_mkpipe_dentry" },
	{ 0xbea8b478, "rpc_mkpipe_data" },
	{ 0x233d5518, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7ce37d68, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0x23925066, "cache_register_net" },
	{ 0x5600c435, "init_user_ns" },
	{ 0x7b00cea9, "xdr_inline_pages" },
	{ 0xb757506c, "__folio_put" },
	{ 0x146d596e, "remove_proc_entry" },
	{ 0x20c26872, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x74db064d, "rpc_init_wait_queue" },
	{ 0x2ab89437, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x4452e9b9, "alloc_pages_noprof" },
	{ 0x6743c6b7, "rpc_unlink" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x7705b76f, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0x27cac01e, "from_kuid_munged" },
	{ 0x45c7fc71, "rpcauth_init_cred" },
	{ 0xdacea1e, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x469be626, "cache_destroy_net" },
	{ 0x12f4f03b, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0xb4567003, "xdr_stream_pos" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xba23fa2, "sunrpc_cache_update" },
	{ 0x817ce3ac, "xdr_truncate_encode" },
	{ 0x85d07771, "rpc_destroy_wait_queue" },
	{ 0xbc74c3e0, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x38e2e8dd, "auth_domain_put" },
	{ 0x2fb1d2c5, "rpcauth_unwrap_resp_decode" },
	{ 0xc5d11129, "rpcauth_register" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "F5791549E866A92F888AC3C");
MODULE_INFO(rhelversion, "10.1");
