#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0xc3ecd388, "");
SYMBOL_CRC(r5c_journal_mode_set, 0x83a7aa98, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2cb7770d, "set_disk_ro" },
	{ 0x344edd08, "register_md_personality" },
	{ 0x9d15a18d, "shrinker_alloc" },
	{ 0xe5c4b565, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x27581553, "__bio_add_page" },
	{ 0x80c3b117, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0xadb6f494, "md_find_rdev_rcu" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x460b7bb7, "mddev_resume" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x6a5155aa, "queue_limits_stack_bdev" },
	{ 0x77d12672, "md_error" },
	{ 0x68ade90c, "async_xor_val_offs" },
	{ 0x51473316, "__cpu_present_mask" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x6405f3e, "md_finish_reshape" },
	{ 0xa11a958b, "__traceiter_block_bio_remap" },
	{ 0x7cc2b20e, "async_gen_syndrome" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x49eb9170, "md_unregister_thread" },
	{ 0x6521bba9, "sync_page_io" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xaf1998f5, "md_free_cloned_bio" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x775cb731, "kthread_park" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x6f79375c, "mempool_free" },
	{ 0x49672828, "node_states" },
	{ 0x48452637, "kernfs_notify" },
	{ 0x5fc3e910, "shrinker_free" },
	{ 0x6d35a509, "md_wakeup_thread" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x18245177, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x9c8db083, "md_set_array_sectors" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x50567b8a, "md_allow_write" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xe201bff4, "rdev_clear_badblocks" },
	{ 0xf258142c, "radix_tree_lookup_slot" },
	{ 0x1968b5ef, "async_tx_quiesce" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0x9bff6263, "md_write_start" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0xded1793d, "shrinker_register" },
	{ 0x5d16d8cd, "radix_tree_replace_slot" },
	{ 0x443c0ec0, "async_xor" },
	{ 0xb3a529b2, "__free_pages" },
	{ 0x2544473b, "async_xor_offs" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x35a42a45, "blk_finish_plug" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x6ebc4cfe, "submit_bio" },
	{ 0x35673b40, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x5ab8398f, "kthread_unpark" },
	{ 0xb324b15d, "bioset_exit" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe6b288d7, "md_done_sync" },
	{ 0x766beed8, "mempool_alloc_noprof" },
	{ 0xdc5c43b3, "bio_put" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0xc20cc29b, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0xd9e79855, "md_wait_for_blocked_rdev" },
	{ 0xb66eb73f, "__cpuhp_setup_state" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x5f37ae44, "async_memcpy" },
	{ 0x74c1f401, "mddev_update_io_opt" },
	{ 0x181ee7fe, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x650017a8, "mddev_stack_rdev_limits" },
	{ 0xe55a31d5, "kmem_cache_free" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x85abc85f, "strncmp" },
	{ 0xc6117f2e, "mddev_unlock" },
	{ 0x5d85bb62, "__tracepoint_block_unplug" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xaaf42cae, "bio_chain" },
	{ 0xc4a98d94, "__blk_trace_note_message" },
	{ 0x40010304, "__traceiter_block_unplug" },
	{ 0xc5befff4, "blkdev_issue_zeroout" },
	{ 0xe5e55228, "__cpuhp_state_add_instance" },
	{ 0xefb1412a, "async_trigger_callback" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc631543c, "async_raid6_2data_recov" },
	{ 0x28b7eb9b, "bio_add_page" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x8c4916c7, "md_update_sb" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x90d63f54, "sysfs_create_group" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xda6fa05c, "_atomic_dec_and_lock_irqsave" },
	{ 0x96fa6583, "md_flush_request" },
	{ 0x3c374aa2, "bio_init" },
	{ 0x831fb5fe, "md_register_thread" },
	{ 0xd3420ad5, "bio_alloc_clone" },
	{ 0x3e193101, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x585b2535, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd512e5bb, "md_account_bio" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x7ea81383, "__kmem_cache_create_args" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xe3086ffb, "md_write_inc" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x203a1fde, "unregister_md_personality" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x5ad30e30, "bio_uninit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xea07e4e1, "param_ops_bool" },
	{ 0xdc6573e9, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0x5d2981cd, "async_syndrome_val" },
	{ 0xe091c977, "list_sort" },
	{ 0xb757506c, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20c26872, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd1550e21, "seq_printf" },
	{ 0x93c04100, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x62f9f1e2, "md_check_recovery" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0x4452e9b9, "alloc_pages_noprof" },
	{ 0x3659b349, "blkdev_issue_flush" },
	{ 0x3beed86a, "mddev_suspend" },
	{ 0xe71805a, "queue_limits_commit_update" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf11d9c18, "badblocks_check" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x7efa5ba3, "mempool_init_noprof" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x36370808, "md_init_stacking_limits" },
	{ 0x9986abbf, "queue_limits_set" },
	{ 0x8d2e58db, "rdev_set_badblocks" },
	{ 0x63a47be7, "bio_alloc_bioset" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x17c7df90, "async_raid6_datap_recov" },
	{ 0x24addf5, "submit_bio_wait" },
	{ 0xaab744b7, "__cpuhp_remove_state" },
	{ 0xbc74c3e0, "kmalloc_caches" },
	{ 0xc904c5b, "mempool_exit" },
	{ 0xa12dc98a, "kmem_cache_destroy" },
	{ 0x3dc71ac1, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2093736e, "blkdev_issue_discard" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "async_xor,async_pq,async_tx,async_memcpy,async_raid6_recov,raid6_pq");


MODULE_INFO(srcversion, "FD1DE0D8B2F269C85B4CEBB");
MODULE_INFO(rhelversion, "10.1");
