#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x149a282a, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x6b79d4f5, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x7309fefb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xac21b733, "rtnl_link_register" },
	{ 0x83f8ccfb, "genl_register_family" },
	{ 0xefdf97c0, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0xafff8e25, "crypto_destroy_tfm" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xa9f9e54b, "crypto_alloc_aead" },
	{ 0xbbe2d397, "crypto_aead_setkey" },
	{ 0x1d810436, "crypto_aead_setauthsize" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0xff182e8, "nla_put" },
	{ 0xa3a5be95, "memmove" },
	{ 0x17cd6ecc, "skb_pull" },
	{ 0xc1312546, "___pskb_trim" },
	{ 0x2c18b6e7, "ether_setup" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0x82adda0d, "dev_mc_sync" },
	{ 0xbdff180, "dev_uc_sync" },
	{ 0x69551acb, "dev_set_allmulti" },
	{ 0x492900b9, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x12cbd951, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xbc74c3e0, "kmalloc_caches" },
	{ 0x20c26872, "__kmalloc_cache_noprof" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x9203dc61, "__dev_get_by_index" },
	{ 0x1f8cb247, "skb_clone" },
	{ 0xd21e8aef, "__netif_rx" },
	{ 0x7522ab0b, "skb_ensure_writable_head_tail" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x5ee85cfd, "sk_skb_reason_drop" },
	{ 0xb3be89c7, "metadata_dst_alloc" },
	{ 0xd454183d, "register_netdevice" },
	{ 0x970d19d1, "netdev_upper_dev_link" },
	{ 0x58a5cf1d, "netdev_upper_dev_unlink" },
	{ 0x179b7110, "unregister_netdevice_queue" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc3364fbf, "netif_stacked_transfer_operstate" },
	{ 0x3fc45a7b, "linkwatch_fire_event" },
	{ 0x3649f115, "netdev_rx_handler_register" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x80ed2980, "dst_release" },
	{ 0x7e63acb8, "gro_cells_init" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf5694959, "dev_addr_mod" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x6c63369a, "__dev_queue_xmit" },
	{ 0xa62bbaaf, "eth_type_trans" },
	{ 0x95edd5ae, "gro_cells_receive" },
	{ 0x9cfe6379, "skb_trim" },
	{ 0xec70c384, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4dea3ba, "skb_to_sgvec" },
	{ 0x1dfe8ba0, "crypto_aead_decrypt" },
	{ 0x66aa6a5a, "consume_skb" },
	{ 0x14b32d4d, "skb_copy" },
	{ 0xb2a7325a, "skb_push" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xf69f3ef3, "__pskb_pull_tail" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x24994820, "netdev_rx_handler_unregister" },
	{ 0x3801b02d, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xeba16633, "netif_carrier_off" },
	{ 0xcee21a9b, "dev_mc_unsync" },
	{ 0xec738caf, "dev_uc_unsync" },
	{ 0x7b45657e, "dev_uc_del" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x714b56cd, "dev_uc_add" },
	{ 0xc1a44742, "netif_carrier_on" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x4a718dbb, "skb_put" },
	{ 0xa92e262e, "crypto_aead_encrypt" },
	{ 0x9936fee1, "skb_copy_expand" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x236c8c64, "memcpy" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xf362e273, "genlmsg_put" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AC1484C7B1AF70A8C51B169");
MODULE_INFO(rhelversion, "10.1");
