#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");

SYMBOL_CRC(nvdimm_bus_lock, 0xd0710763, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0xa9b57570, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0x39ff3deb, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0x53ef85e8, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0x95d77ca0, "_gpl");
SYMBOL_CRC(to_nd_desc, 0xc1a7cb97, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x3ba93729, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0xd099da0b, "_gpl");
SYMBOL_CRC(nd_device_notify, 0xb358c73a, "");
SYMBOL_CRC(nvdimm_region_notify, 0xf89924f3, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0x956a1345, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0xbec540f0, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0x957fc84b, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0xccc4ed97, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0x8cce7e1e, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0xe5119a92, "");
SYMBOL_CRC(nd_device_unregister, 0xef71d191, "");
SYMBOL_CRC(__nd_driver_register, 0x8bd002a2, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x7bcdbb6a, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0x1779389c, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x4f0a032c, "_gpl");
SYMBOL_CRC(to_nvdimm, 0x8a934ca0, "_gpl");
SYMBOL_CRC(to_ndd, 0x79306e48, "");
SYMBOL_CRC(nvdimm_name, 0xd46b4b3c, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0xeac016e0, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0xc6da5990, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x1b5cd6c8, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x1c35888e, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x6dc4f4d1, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0xbdd9ea4e, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0xe1136913, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0xa094330e, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x2fd0244c, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x67ef8198, "_gpl");
SYMBOL_CRC(to_nd_region, 0x7bfe2d21, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x57f658d3, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x564c9d52, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x253f23f6, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x6729f8e7, "");
SYMBOL_CRC(nd_region_release_lane, 0xf1f7ebfa, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x0cd59de3, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0xaf84e624, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x79e5faef, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0xe3e419db, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0xbf1b880d, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0xe7fb715e, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x67b45c09, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x7f2000e6, "");
SYMBOL_CRC(pmem_sector_size, 0xe8cbeefa, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x97be86ee, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x1be93a53, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0x15006031, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0x2ed168ef, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x2deafa77, "");
SYMBOL_CRC(devm_namespace_enable, 0xf1c9345a, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x74335e2e, "_gpl");
SYMBOL_CRC(badrange_init, 0x07b125d2, "_gpl");
SYMBOL_CRC(badrange_add, 0x8f12f4af, "_gpl");
SYMBOL_CRC(badrange_forget, 0xd425f7b5, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x39e99f00, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x2cb7770d, "set_disk_ro" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x531ace4b, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xc2d923cd, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xc51df128, "dev_set_name" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xdfee1e62, "badblocks_set" },
	{ 0x757eb768, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0xea3e5ec0, "device_initialize" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x4c4e305d, "device_for_each_child" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x5fd879d3, "get_device" },
	{ 0xd827fff3, "memremap" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xd1450de1, "__dynamic_dev_dbg" },
	{ 0x48452637, "kernfs_notify" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xf5dc38db, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x18245177, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd9104b97, "put_device" },
	{ 0x54452334, "badblocks_show" },
	{ 0x230bca5e, "key_type_encrypted" },
	{ 0x4082195e, "_dev_info" },
	{ 0xc23d1839, "module_put" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x3685ad0b, "compat_ptr_ioctl" },
	{ 0xc1525d44, "perf_pmu_migrate_context" },
	{ 0x1ea11474, "perf_pmu_register" },
	{ 0x507b25d0, "kstrndup" },
	{ 0x4ae69a2a, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x4c58712c, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x1fc7f65e, "_dev_err" },
	{ 0x6ccc34dd, "sort" },
	{ 0xb66eb73f, "__cpuhp_setup_state" },
	{ 0xd2e79416, "cpu_bit_bitmap" },
	{ 0x9a6a5e78, "device_add" },
	{ 0x57a21b6, "noop_llseek" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x9c5a8b1a, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x77b6676, "driver_unregister" },
	{ 0xe5e55228, "__cpuhp_state_add_instance" },
	{ 0x22be376b, "perf_pmu_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcafbaff4, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc1e9141e, "device_find_child" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xbc0d2919, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x103bafd6, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xad0d9121, "kill_device" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xea07e4e1, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x3d3f4b62, "request_key_tag" },
	{ 0x19cca11c, "kernfs_put" },
	{ 0x4123f93, "__register_chrdev" },
	{ 0xe2eb723b, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20c26872, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc8e173ed, "_find_next_bit_le" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbd31a2f7, "__devm_add_action" },
	{ 0x3ece970c, "badblocks_clear" },
	{ 0x6053dde3, "devm_init_badblocks" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x5b3013ef, "driver_register" },
	{ 0x4b8b603d, "class_register" },
	{ 0xaab744b7, "__cpuhp_remove_state" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xbc74c3e0, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa51a2967, "_find_next_zero_bit_le" },
	{ 0x8650f26c, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "74B39111E1397EADF5C7DF9");
MODULE_INFO(rhelversion, "10.1");
