#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vfio_assign_device_set, "_gpl", "");
KSYMTAB_FUNC(vfio_device_set_open_count, "_gpl", "");
KSYMTAB_FUNC(vfio_find_device_in_devset, "_gpl", "");
KSYMTAB_FUNC(_vfio_alloc_device, "_gpl", "");
KSYMTAB_FUNC(vfio_register_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_emulated_iommu_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_mig_get_next_state, "_gpl", "");
KSYMTAB_FUNC(vfio_combine_iova_ranges, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_valid, "_gpl", "");
KSYMTAB_FUNC(vfio_file_enforced_coherent, "_gpl", "");
KSYMTAB_FUNC(vfio_file_set_kvm, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_add, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_shift, "", "");
KSYMTAB_FUNC(vfio_info_add_capability, "", "");
KSYMTAB_FUNC(vfio_set_irqs_validate_and_prepare, "", "");
KSYMTAB_FUNC(vfio_pin_pages, "", "");
KSYMTAB_FUNC(vfio_unpin_pages, "", "");
KSYMTAB_FUNC(vfio_dma_rw, "", "");
KSYMTAB_FUNC(vfio_file_iommu_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_has_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_flush_thread, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_device_ictx, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_get_dev_id, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_detach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_detach_ioas, "_gpl", "");

SYMBOL_CRC(vfio_assign_device_set, 0x25fb987d, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0xc6984055, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0x40b6c5ba, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0xd4e3e29a, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0xba1f6539, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0x5dd6b69a, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0x03b9b374, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0xcc9af58a, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0x0125cd7a, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0x0ac7de34, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0xea343e02, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x529db99e, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x4232a0c3, "");
SYMBOL_CRC(vfio_info_add_capability, 0xf3411eb8, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0xaf8a4a7f, "");
SYMBOL_CRC(vfio_pin_pages, 0x8355829f, "");
SYMBOL_CRC(vfio_unpin_pages, 0xae743a67, "");
SYMBOL_CRC(vfio_dma_rw, 0xaac234dd, "");
SYMBOL_CRC(vfio_file_iommu_group, 0x00980cda, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0x8c6f1674, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0x9c74871e, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0xa277f02b, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0x06b4a7db, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0x29d9bd2f, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0xddf020e6, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0xb8915e07, "_gpl");
SYMBOL_CRC(vfio_iommufd_device_ictx, 0x0ad81097, "_gpl");
SYMBOL_CRC(vfio_iommufd_get_dev_id, 0xffc4c50d, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_bind, 0x35596e16, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_unbind, 0xac5faa38, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_attach_ioas, 0x0ddcc874, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_detach_ioas, 0x08ad7291, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_bind, 0xb3643a9a, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_unbind, 0x78ce63b2, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_attach_ioas, 0x14876863, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_detach_ioas, 0xe13ba9f2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x2fc29789, "iommufd_vfio_compat_ioas_get_id" },
	{ 0x8ea80db7, "iommufd_access_unpin_pages" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0x531ace4b, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x884863d2, "anon_inode_getfile" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xaa8d6858, "alloc_anon_inode" },
	{ 0x1904cfc4, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x87ab6269, "iommufd_access_detach" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xc51df128, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xaee9b7dd, "cdev_device_del" },
	{ 0xeead93e7, "iommu_group_get" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x7b8abf89, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0xa31d1dea, "__xa_erase" },
	{ 0x67e2272e, "refcount_dec_and_mutex_lock" },
	{ 0xea3e5ec0, "device_initialize" },
	{ 0x96bc1832, "iommufd_device_attach" },
	{ 0x66a4b931, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x70ef9623, "iommufd_access_pin_pages" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x5ae27e58, "iput" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xdcc747d8, "iommufd_ctx_from_fd" },
	{ 0xcaf8a34a, "iommufd_access_replace" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x947cd02a, "iova_bitmap_alloc" },
	{ 0xd1450de1, "__dynamic_dev_dbg" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xd26edcf3, "iommufd_vfio_compat_ioas_create" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x92997ed8, "_printk" },
	{ 0x160da0db, "cdev_device_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xd9104b97, "put_device" },
	{ 0x2b4bb174, "iommufd_ctx_from_file" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc23d1839, "module_put" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x3685ad0b, "compat_ptr_ioctl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0x593d2a27, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xd2510a63, "up_write" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x35b89c87, "iommufd_access_attach" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x2a3df0a3, "class_create" },
	{ 0x9668f6fe, "iommufd_device_bind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x7bfe1b99, "iova_bitmap_for_each" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xaf21dba8, "iommufd_access_rw" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xbc0d2919, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0xf7709929, "iommufd_access_destroy" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x3218bfef, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x103bafd6, "down_read" },
	{ 0xaa7a1f77, "__xa_cmpxchg" },
	{ 0x64d6feeb, "iommufd_device_to_id" },
	{ 0xc9b8d1b3, "init_pseudo" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x13d3eb01, "iommufd_device_to_ictx" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x7230beea, "fdget" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x56612d5e, "iommufd_ctx_put" },
	{ 0xbffbc3a7, "iommufd_access_create" },
	{ 0x20c26872, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0x5a79317d, "iommufd_device_detach" },
	{ 0x858b2f5d, "device_iommu_capable" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x32db200d, "simple_release_fs" },
	{ 0x8e98d7eb, "kill_anon_super" },
	{ 0x9fa2dd03, "iommufd_device_unbind" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xddb3f626, "iommufd_ctx_has_group" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0x907bf70c, "iommu_group_add_device" },
	{ 0xb1176e59, "try_wait_for_completion" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xa4015ea6, "cdev_init" },
	{ 0x31071315, "iommufd_device_replace" },
	{ 0x7a07f14a, "eventfd_ctx_fileget" },
	{ 0xbc74c3e0, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0xa686365d, "iommu_group_remove_device" },
	{ 0xd16aa33d, "simple_pin_fs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "iommufd");


MODULE_INFO(srcversion, "CB8EDDAC1D3AF8CCF4B33FD");
MODULE_INFO(rhelversion, "10.1");
